<?php
/*
Plugin Name: wp-creator-calculator
Plugin URI: http://www.zetrider.ru/wp-creator-calculator.html
Description: Creating forms calculator, the introduction of the template and write
Version: 2.5
Author: ZetRider
Author URI: http://www.zetrider.ru
Author Email: ZetRider@bk.ru
*/
/*  Copyright 2011  zetrider  (email: zetrider@bk.ru)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

load_plugin_textdomain('wp-creator-calculator', PLUGINDIR.'/'.dirname(plugin_basename(__FILE__)). '/lang/');

global $wpdb;
$dbcalculator = $wpdb->prefix.'calculator';
$sql = sprintf("
		CREATE TABLE IF NOT EXISTS $dbcalculator (
		id INT NOT NULL AUTO_INCREMENT,
		PRIMARY KEY(id),
		calc_type VARCHAR(255),
		calc_title VARCHAR(255),
		calc_to VARCHAR(255),
		calc_after VARCHAR(255),
		calc_sort INT,
		calc_price VARCHAR(255),
		calc_valueinput VARCHAR(255),
		calc_css VARCHAR(255),
		calc_morefield TEXT,
		calc_text TEXT,
		calc_id VARCHAR(255)
		) ENGINE=MyISAM CHARACTER SET=utf8;
");
$result = $wpdb->query($sql); 

// Обновляем таблицу если установлена более ранняя версия | Update the table if you have an older version
$res_check = $wpdb->get_results("SELECT calc_id FROM $dbcalculator"); // new col
if (count($res_check) == 0){ 
	$wpdb->get_results("ALTER TABLE $dbcalculator ADD `calc_id` VARCHAR(255)");
}
$res_type = $wpdb->get_results("SELECT calc_sort FROM $dbcalculator LIMIT 1"); // update col
foreach($wpdb->get_col_info('type') as $typecol){
	if ($typecol == 'string'){ 
		$wpdb->get_results("ALTER TABLE $dbcalculator MODIFY calc_sort INT");
	}
}

function wp_calculate_session_start() { // start $_SESSION
	session_start();
}
add_action('wp_head', 'wp_calculate_session_start');
add_action('admin_head', 'wp_calculate_session_start');

function get_wpcalculator($atts) { // Функция отображения калькулятора и рассчета | The mapping function calculator and calculate
global $wpdb, $dbcalculator;
		
extract(shortcode_atts(array('idcalc' => "1", 'show_result' => "false"), $atts));

$res = $wpdb->get_results("SELECT * FROM ".$dbcalculator." WHERE (calc_id='$idcalc') ORDER BY `calc_sort`");

if (count($res) == 0){ 
	$return .= _e("Formula is empty","wp-creator-calculator")."<br>"; 
} 
else {
	$return .= '<div class="wp_calculate wp_calculate'.$idcalc.'">'."\n";
	$get_calc_post = get_option('calc_action'.$idcalc);
	if ($get_calc_post) {
		$calc_post_url = $get_calc_post;
	} else {
		$calc_post_url = '';
	}
	
	$return .= '<form method="POST" action="'.$calc_post_url.'#calculate'.$idcalc.'" class="wp_calculate_form wp_calculate_form'.$idcalc.'" name="calculateform'.$idcalc.'">'."\n";

foreach ($res as $row) {

	if ($row->calc_type == "text") { // Если текстовой блок | If a text block
		$return .= "\n";
		$return .= '<div class="wp_calculate_text wp_calculate_text'.$row->id.' '.$row->calc_css.'">';
		//$return .= $row->calc_text ."\n";
		$return .= preg_replace("|\[session id=\"(.*)\"\](.*)\[/session\]|e", "\$_SESSION['wpcalculator-\\1']['\\2']", $row->calc_text); // thank cheops - softtime
		$return .= "</div>\n";
	}

	if ($row->calc_type == "select") { // Если выпадающий список | If the drop-down list
		$return .= '<div class="wp_calculate_description wp_calculate_description'.$row->id.'">'.$row->calc_title.'</div>'."\n";
		$return .= '<select name="calculateprice['.$row->calc_sort.']" class="wp_calculate_select wp_calculate_select'.$row->id.' '.$row->calc_css.'">'."\n";
		$return .= str_replace(array('[',']:',';'), array('<option value="'.$row->calc_to.'',''.$row->calc_after.'">',"</option>\n"), $row->calc_morefield );
		$return .= "</select>\n<br />\n";
	}

	if ($row->calc_type == "checkbox") { // Если чекбокс | If the checkbox
		$return .= '<div class="wp_calculate_description wp_calculate_description'.$row->id.'">'.$row->calc_title.'</div>'."\n";
		$return .= str_replace(array('[',']:',';'), array('<input type="checkbox" name="calculatepricecheckbox[]['.$row->calc_sort.']" value="','" class="wp_calculate_checkbox wp_calculate_checkbox'.$row->id.' '.$row->calc_css.'"> ',"\n<br /> \n"), $row->calc_morefield );
		$return .= '<input type="hidden" name="calculatepricecheckboxid['.$row->id.']" value="'.$row->calc_sort.'" >'."\n";
	}

	if ($row->calc_type == "radio") { // Если радио | If the radio
		$return .= '<div class="wp_calculate_description wp_calculate_description'.$row->id.'">'.$row->calc_title.'</div>'."\n";
		$return .= str_replace(array('[',']:',';'), array('<input type="radio" name="calculateprice['.$row->calc_sort.']" value="'.$row->calc_to.'',''.$row->calc_after.'" class="wp_calculate_radio wp_calculate_radio'.$row->id.' '.$row->calc_css.'"> ',"\n<br />\n"), $row->calc_morefield );
	}
	
	if ($row->calc_type == "inputtext") { // Если вводимое поле | If you enter the field
		$return .= '<div class="wp_calculate_description wp_calculate_description'.$row->id.'">'.$row->calc_title.'</div>'."\n";
		$return .= '<input type="text" name="calculatepricetext['.$row->calc_sort.']" value="" class="wp_calculate_inputtext wp_calculate_inputtext'.$row->id.' '.$row->calc_css.'">'."\n<br />\n";
	}
	
	if ($row->calc_type == "hidden") { // Если скрытое поле | If the hidden field
		$return .= '<input type="hidden" name="calculateprice['.$row->calc_sort.']" value="'.$row->calc_to . $row->calc_price . $row->calc_after.'" >'."\n";	
	}
	
	if ($row->calc_type == "session") { // Если session поле | If the session field
		$insertsession = $_SESSION['wpcalculator-'.$row->calc_valueinput][$row->calc_price];
	if ($insertsession){ // если сессия существует || if the session exists
		$return .= '<input type="hidden" name="calculateprice['.$row->calc_sort.']" value="'.$row->calc_to . $insertsession . $row->calc_after.'" >'."\n";	
	}
	}
}

	if(get_option('calc_submit'.$idcalc)) { // Кнопка рассчета | button USE
		$calc_submit_name = get_option('calc_submit'.$idcalc); 
	} else { 
		$calc_submit_name = __("Calculate","wp-creator-calculator"); 
	}

$return .= '<input type="hidden" value="calculate'.$idcalc.'" name="calc_id_post">'."\n";
$return .= '<input type="submit" value="'.$calc_submit_name.'" class="wp_calculate_submit wp_calculate_submit'.$idcalc.'" name="calculate'.$idcalc.'">'."\n";
$return .= "</form> \n";
if(get_option('calc_copyright') != 'on') {
	$return .= '<span style="font-size:8px;"><a href="http://www.zetrider.ru" title="Calculator created by ZetRider.ru" target="_blank">Calculator created by ZetRider.ru</a></span>'."\n";
}
$return .= '<br style="clear:both;">'."\n";
$return .='</div>'."\n";

$return .= '<br style="clear:both;">'."\n";
}

$postcalculate = 'calculate'.$idcalc;
if ($_POST['calc_id_post'] == $postcalculate) { // Рассчет после нажатия кнопки | Calculation after pressing

/*
// если переданы какие то пустые поля в массиве $_POST['calculateprice'] | If you are transferred to the empty fields in array $_POST['calculateprice']
if($_POST['calculateprice']){ // для запроса sql | sql query for
	foreach($_POST['calculateprice'] as $calculatepriceidsort => $calculateprice) {
		$calculatepriceidsortznak .= "'".$calculatepriceidsort."', ";
	}
}
else {
	$_POST['calculateprice'] = array ("" => "");
}

$resprice = $wpdb->get_results("SELECT * FROM ".$dbcalculator." WHERE `calc_sort` not in (".$calculatepriceidsortznak." '') AND `calc_type` in ('select', 'checkbox', 'radio', 'hidden') AND (calc_id='$idcalc') ORDER BY `calc_sort`");


foreach ($resprice as $rowprice) {
	$calculatepricearradd = $rowprice->calc_to ."0". $rowprice->calc_after ;
	$finishcalculatepricearradd[$rowprice->calc_sort] = $calculatepricearradd;
}

if (!$finishcalculatepricearradd) {
	$finishcalculatepricearradd = array ("" => "");
}

$fullfinishcalculatepricearradd = $finishcalculatepricearradd + $_POST['calculateprice'];
*/

if ($_POST['calculateprice']){
	$fullfinishcalculatepricearradd = $_POST['calculateprice'];
}
else {
	$fullfinishcalculatepricearradd = array ();
}
ksort($fullfinishcalculatepricearradd);

// session $_POST['calculateprice']
if($_POST['calculateprice']){
	$pricearrsession = $fullfinishcalculatepricearradd;
	$pricearrsession = preg_replace('/[^0-9,]/', '', $pricearrsession);
	foreach($pricearrsession as $pricearrsessionid => $pricearrsessionsum) {
		eval ('$strcheckboxsessionresult = '.$pricearrsessionsum.';');
		$_SESSION['wpcalculator-'.$idcalc][$pricearrsessionid] = $strcheckboxsessionresult;
	}
}
// session /

////////////////////////////////

// Специально для $_POST['calculatepricetext'] | especially for the $_POST['calculatepricetext']
$res = $wpdb->get_results("SELECT * FROM ".$dbcalculator." WHERE `calc_type` in ('inputtext') AND (calc_id='$idcalc') ORDER BY `calc_sort`");

if (is_array($_POST['calculatepricetext'])) {

foreach ($res as $row)
$rowarr[] = $row;
$start = 0;
  
foreach($_POST['calculatepricetext'] as $calculatepricetextidsort => $calculatepricetext) {
	
	if (!$calculatepricetext) { $calculatepricetext = 0; }
	
	$inputtextarrsession[$calculatepricetextidsort] .= $calculatepricetext.$rowarr[$start]->calc_valueinput .$rowarr[$start]->calc_price;
	$inputtextarr = $rowarr[$start]->calc_to ."(".$calculatepricetext.$rowarr[$start]->calc_valueinput .$rowarr[$start]->calc_price .")".$rowarr[$start]->calc_after ;
	$finishinputtextarr[$rowarr[$start]->calc_sort ] = $inputtextarr;
	$start++;
}

}
else {
	$finishinputtextarr = array ("" => "");
}

// session $_POST['calculatepricetext']
if($_POST['calculatepricetext']){
	foreach($inputtextarrsession as $inputtextarrsessionid => $inputtextarrsessionsum) {
		eval ('$strcheckboxsessionresult = '.$inputtextarrsessionsum.';');
		$_SESSION['wpcalculator-'.$idcalc][$inputtextarrsessionid] = $strcheckboxsessionresult;
	}
}
// session /

///////////////////////////////

// Специально для $_POST['calculatepricecheckbox'] | especially for the $_POST['calculatepricecheckbox']
if ($_POST['calculatepricecheckbox']) {


	$checkarray = array(); // для пустых ID чекбоксов | for empty checkboxes ID
	foreach ($_POST['calculatepricecheckbox'] as $key => $val) { 
		foreach ($val as $k => $v) { 
			$checkarray[$k] = $v; 
		} 
	} 
	
	foreach($_POST['calculatepricecheckboxid'] as $checkboxarrayid => $checkboxarrayidvalue) {
	
		if(array_key_exists($checkboxarrayidvalue, $checkarray)) { // проверка если есть ID | check if an ID
		
			$res_checkbox = $wpdb->get_results("SELECT * FROM $dbcalculator WHERE (calc_type='checkbox') AND (id='$checkboxarrayid') ORDER BY `calc_sort`");

			foreach ($res_checkbox as $row_checkbox) {

				foreach($_POST['calculatepricecheckbox'] as $checkboxarraysumid => $checkboxarraysum) {
					if (isset($checkboxarraysum[$row_checkbox->calc_sort])){
						$strcheckbox[$row_checkbox->calc_sort] .= $checkboxarraysum[$row_checkbox->calc_sort].$row_checkbox->calc_valueinput;
					}
				}
				$strcheckboxsession[$row_checkbox->calc_sort] = substr($strcheckbox[$row_checkbox->calc_sort], 0, -1); 
				$strcheckbox[$row_checkbox->calc_sort] = substr($strcheckbox[$row_checkbox->calc_sort], 0, -1); 
				$strcheckbox[$row_checkbox->calc_sort] = $row_checkbox->calc_to."(".$strcheckbox[$row_checkbox->calc_sort].")".$row_checkbox->calc_after;
			}
		}
	}
	
	// session $_POST['calculatepricecheckbox']
	foreach($strcheckboxsession as $strcheckboxsessionid => $strcheckboxsessionsum) {
		eval ('$strcheckboxsessionresult = '.$strcheckboxsessionsum.';');
		$_SESSION['wpcalculator-'.$idcalc][$strcheckboxsessionid] = $strcheckboxsessionresult;
	}
	// session /

}
else {
	$strcheckbox = array ("" => "");
}


////////////////////////////////

if ($_POST['calculateprice']) {
	$fullfinishcalcarr = $finishinputtextarr + $fullfinishcalculatepricearradd + $strcheckbox;
	//$fullfinishcalcarr = array_merge($finishinputtextarr, $fullfinishcalculatepricearradd, $strcheckbox);
}
else {
	$fullfinishcalcarr = $finishinputtextarr + $strcheckbox;
}

ksort($fullfinishcalcarr);

foreach($fullfinishcalcarr as $fullfinishcalcarrfull => $fullfinishcalcarrfullval)
{
	$fullfinishcalcarrfullvalstr .= $fullfinishcalcarrfullval;
}


$strlento = $fullfinishcalcarrfullvalstr[strlen($fullfinishcalcarrfullvalstr)-1]; // узнаем последний символ | find out the last character
if (!is_numeric($strlento) && $strlento != ")" && $strlento != "(") { // если в конце не число, а знак то удаляем его чтобы избежать ошибки eval | if in the end not a number, and then remove the sign it to avoid the error eval
	$fullfinishcalcarrfullvalstr = substr($fullfinishcalcarrfullvalstr, 0, -1);
}

$return .= '<div class="wpcalculator_price wpcalculator_price'.$idcalc.'" id="calculate'.$idcalc.'">';
$return .= get_option('calc_finishsumm'.$idcalc)." ";
if ($_POST['calculateprice'] == array ("" => "") || !$fullfinishcalcarrfullvalstr) {
	$return .= "null";
}
else {
	eval('$return .= '.$fullfinishcalcarrfullvalstr.'; $result_session_calculator = '.$fullfinishcalcarrfullvalstr.';');
	// Запоминаем значение в сессию
	$_SESSION['wpcalculator-'.$idcalc]['sum'] = $result_session_calculator;
	// Сессия \
}
$return .= " ".get_option('calc_finishsumm_after'.$idcalc);
$return .= '</div>'."\n";
$return .= '<br style="clear:both;">';

if ($show_result == 'true') {
	echo '<div class="calc_formula radius_calc"><b>'.__("Your transmitted data:","wp-creator-calculator").'</b><br><pre>';
	print_r($fullfinishcalcarrfullvalstr);
	echo '</pre><br>
	<span style="font-size:10px;">'.__("To display the transmitted data:","wp-creator-calculator").' [wpcalculator idcalc="ID" <b>show_result="true"</b>]</span>
	<br><br>
	<b>Session list:</b><br>
	';
	echo "<pre>";
	print_r($_SESSION);
	echo "</pre>";
	echo '<br><br>
	</div>';
}

}

return $return;
}
add_shortcode('wpcalculator', 'get_wpcalculator');

// конец функции отображения  и рассчета калькулятора | end function display and calculate calculator

function wp_calculate_style() { // если указан стиль в настройках пихаем его в wp_head | if you specify the style settings to shove it in wp_head
if (get_option('calc_style')) {
	echo '<link rel="stylesheet" href="'.get_option('calc_style').'" type="text/css" />'."\n";
}
}
add_action('wp_head', 'wp_calculate_style');

$wpcalculator = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)); // Полный адрес до плагина | Address of the plug at the end is worth /

function wpcalculator_menu() { // Добавляем кнопку 1 уровня в меню | Add a button to the Level 1 menu
global $wpcalculator;

	$wpcalculatorico = $wpcalculator."images/wp-creator-calculator.png";
	add_menu_page('WP Calculator', 'WP Calculator', '8', basename( __FILE__), 'setting_wpcalculator', "$wpcalculatorico");
}
add_action('admin_menu', 'wpcalculator_menu');

function setting_wpcalculator() { // Основная функция | The main function
global $wpcalculator, $dbcalculator, $wpdb;


// ACTION

	$id = $_GET['id'];
	$calc_id = $_GET['calc_id'];
	$calc_type = $_POST['calc_type']; 
	$calc_title = $_POST['calc_title'];
	$calc_to = $_POST['calc_to'];
	$calc_after = $_POST['calc_after'];
	$calc_sort = $_POST['calc_sort'];
	$calc_price = $_POST['calc_price'];
	$calc_valueinput = $_POST['calc_valueinput'];
	$calc_css = $_POST['calc_css'];
	$calc_morefield = $_POST['calc_morefield'];
	$calc_text = $_POST['calc_text'];

// Добавление записи | Adding an entry
if(isset($_POST['add'])) {
	$res = $wpdb->query("INSERT INTO ".$dbcalculator." (calc_type, calc_title, calc_to, calc_after, calc_sort, calc_price, calc_valueinput, calc_css, calc_morefield, calc_text, calc_id) VALUES('$calc_type', '$calc_title', '$calc_to', '$calc_after', '$calc_sort', '$calc_price', '$calc_valueinput', '$calc_css', '$calc_morefield', '$calc_text', '$calc_id')");
	mysql_close();
	}
// Обновление записи | update entry
if(isset($_POST['update'])) {  
	$res = $wpdb->query("UPDATE ".$dbcalculator." SET calc_type = '$calc_type', calc_title = '$calc_title', calc_to = '$calc_to', calc_after = '$calc_after', calc_sort = '$calc_sort', calc_price = '$calc_price', calc_valueinput = '$calc_valueinput', calc_css = '$calc_css', calc_morefield = '$calc_morefield', calc_text = '$calc_text', calc_id = '$calc_id' WHERE (id='$id')");
	mysql_close();
	}
// Удаление записи | Deleting a record
if(isset($_POST['del'])) {  
	$res = $wpdb->query("DELETE FROM ".$dbcalculator." WHERE (id='$id')");
	mysql_close();
}

// ACTION END

?>
	<div class="wrap">
	<script type="text/javascript" src="<?php echo $wpcalculator; ?>wp-creator-calculator.js"></script>
	<link rel="stylesheet" href="<?php echo $wpcalculator; ?>style.css" type="text/css" media="screen" />
		<h2><?php _e("Create a calculator","wp-creator-calculator"); ?></h2>
		<table class="widefat" style="width:100% !important;"><thead><tr><th scope="col">
		<img src="<?php echo $wpcalculator; ?>images/ttweb.png" class="logo">
		<?php _e("Studio TTWeb","wp-creator-calculator");?><br>
		<?php _e("Creation, website promotion","wp-creator-calculator");?><br>
		<?php _e("Development of site design, logos, business cards, etc.","wp-creator-calculator");?><br>
		<?php _e("Development and translation of plugins","wp-creator-calculator");?><br>
		<a href="http://www.TTWeb.ru" target="_blank">http://www.TTWeb.ru</a> | 
		<a href="http://www.zetrider.ru" target="_blank">http://www.ZetRider.ru (free help)</a> 
		<th scope="col" style="border-left:1px #c0c0c0 solid">
		<a href="http://www.facebook.com/zetriderman" target="_blank"><img src="<?php echo $wpcalculator; ?>images/facebook.png"></a>
		<a href="https://twitter.com/#!/zetrider" target="_blank"><img src="<?php echo $wpcalculator; ?>images/twitter.png"></a>
		<a href="http://vkontakte.ru/zetrider" target="_blank"><img src="<?php echo $wpcalculator; ?>images/vkontakte.png"></a><br>
		<b>Donate me:</b><br>
		WMZ    -&nbsp;&nbsp;&nbsp; Z280634834547<br>
		WMR    -&nbsp;&nbsp;&nbsp; R240220810962<br>
		Yandex - 41001637137755<br>
		<small><?php _e("We need a new version of the plugin? thanked the author","wp-creator-calculator"); ?><br><br>
		<b><?php _e("There are ideas for the calculator? Write me a letter: ","wp-creator-calculator"); ?> <a href="mailto:zetrider@bk.ru">zetrider@bk.ru</a></b><br><br>
		<b><?php _e("To do:","wp-creator-calculator"); ?></b><br>
		<?php _e("Make it easy to use interface","wp-creator-calculator"); ?><br>
		<?php _e("Adding new functions calculator","wp-creator-calculator"); ?><br>
		<?php _e("Make new designs for the calculator. Take part in the contest!","wp-creator-calculator"); ?><br>
		</ul>
		</small>
		</th></th></tr></thead></table>
		<br>
		<div style="float:left;"><a href="http://www.zetrider.ru/wp-creator-calculator.html" class="ablock radius_calc" target="_blank"><?php _e("Instruction","wp-creator-calculator"); ?></a> <a href="http://wordpress.org/extend/plugins/wp-creator-calculator/" class="ablock radius_calc" target="_blank">FAQ / English instruction</a></div>
		<div style="float:right;">
		<?php 
		$wp_calculator_lang = WPLANG;
		if ($wp_calculator_lang == 'ru_RU') {
			echo '<a href="http://www.zetrider.ru/lokalizaciya-dlya-wp-creator-calculator.html" target="_blank"><img src="'.$wpcalculator.'images/contest_ru.gif"></a>';
		} else {
			echo '<a href="http://www.zetrider.ru/lokalizaciya-dlya-wp-creator-calculator.html" target="_blank"><img src="'.$wpcalculator.'images/contest_en.gif"></a>';
		}
		?>
		</div>
		<br class="calc_clear"><br class="calc_clear">

<?php 
$res_max_id = $wpdb->get_results("SELECT calc_id FROM $dbcalculator ORDER BY calc_id DESC LIMIT 1"); // ищем последний ID калькулятора для добавления нового 
if (empty($res_max_id)) {
	$max_calc_id = "1";
}
foreach ($res_max_id as $row_max_id) {
	$max_calc_id = $row_max_id->calc_id + 1;
}
?>

<div style="float:left;">
<a href="admin.php?page=wp-creator-calculator.php&calc_id=<?php echo $max_calc_id; ?>" class="ablock radius_calc"><?php _e("Create +","wp-creator-calculator"); ?></a>
<?php
$res_id_list = $wpdb->get_results("SELECT calc_id FROM $dbcalculator GROUP BY calc_id ORDER BY calc_id"); // Составляем список ID калькуляторов для построения GET | Draw up a list of ID calculators to build GET
foreach ($res_id_list as $row_id_list) {
	if ($row_id_list->calc_id){
		echo '<a href="admin.php?page=wp-creator-calculator.php&calc_id='.$row_id_list->calc_id.'" class="ablock radius_calc" style="margin-right:5px;">id='.$row_id_list->calc_id.'</a>';
	}
}
?>

<br class="calc_clear"><br class="calc_clear">
<?php if ($_GET['calc_id']) {
echo "<h2>".__("Create a calculator with an ID", "wp-creator-calculator")." = ".$_GET['calc_id']."</h2>";
?>
</div>
		<table class="widefat" style="width:100% !important;"><thead><tr><th scope="col">

<div class="calc_sidebar radius_calc">
	<h3><?php _e("Add","wp-creator-calculator"); ?></h3><br>
	<input type="radio" name="calc_type" id="textblockclick" value="text" checked onClick="Display('textblock');"><label for='textblockclick'> <img src="<?php echo $wpcalculator;?>images/textblock.jpg" title="<?php _e("Type - Text Block","wp-creator-calculator"); ?>"> <?php _e("Text Block","wp-creator-calculator"); ?> </label><br>
	<input type="radio" name="calc_type" id="selectclick" value="select" onClick="Display('select');"><label for='selectclick'> <img src="<?php echo $wpcalculator;?>images/select.jpg" title="<?php _e("Type - A drop-down list","wp-creator-calculator"); ?>"> <?php _e("A drop-down list","wp-creator-calculator"); ?> </label><br>
	<input type="radio" name="calc_type" id="checkboxclick" value="checkbox" onClick="Display('checkbox');"><label for='checkboxclick'> <img src="<?php echo $wpcalculator;?>images/checkbox.jpg" title="<?php _e("Type - Checkbox","wp-creator-calculator"); ?>"> <?php _e("Checkbox","wp-creator-calculator"); ?> </label><br>
	<input type="radio" name="calc_type" id="radioclick" value="radio" onClick="Display('radio');"><label for='radioclick'> <img src="<?php echo $wpcalculator;?>images/radio.jpg" title="<?php _e("Type - Radio Buttons","wp-creator-calculator"); ?>"> <?php _e("Radio Buttons","wp-creator-calculator"); ?> </label><br>
	<input type="radio" name="calc_type" id="inputtextclick" value="inputtext" onClick="Display('inputtext');"><label for='inputtextclick'> <img src="<?php echo $wpcalculator;?>images/text.jpg" title="<?php _e("Type - The entered field","wp-creator-calculator"); ?>"> <?php _e("The entered field","wp-creator-calculator"); ?> </label><br>
	<input type="radio" name="calc_type" id="hiddenclick" value="hidden" onClick="Display('hidden');"><label for='hiddenclick'> <img src="<?php echo $wpcalculator;?>images/hidden.jpg" title="<?php _e("Type - Hidden field","wp-creator-calculator"); ?>"> <?php _e("Hidden field","wp-creator-calculator"); ?> </label><br>
	<input type="radio" name="calc_type" id="sessionclick" value="session" onClick="Display('session');"><label for='sessionclick'> <img src="<?php echo $wpcalculator;?>images/session.jpg" title="<?php _e("Type - Session field","wp-creator-calculator"); ?>"> <?php _e("Session field","wp-creator-calculator"); ?> </label><br>
	<input type="radio" name="calc_type" id="designclick" value="design" onClick="Display('design');"><label for='designclick'> <img src="<?php echo $wpcalculator;?>images/design.jpg" title="<?php _e("Design","wp-creator-calculator"); ?>"> <?php _e("Design","wp-creator-calculator"); ?> </label><br>
	<input type="radio" name="calc_type" id="customclick" value="custom" onClick="Display('custom');"><label for='customclick'> <?php _e("Settings","wp-creator-calculator"); ?></label><br>
</div>

<div class="calc_content radius_calc">
	<div id="textblock" style="display:block;">
		<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id=<?php echo $calc_id; ?>" name="add">
			<h3><?php _e("Create a text block","wp-creator-calculator"); ?></h3>
			<?php _e("Text to display","wp-creator-calculator"); ?> <small>(<?php _e("possible html","wp-creator-calculator"); ?>)</small>: <br>
			<?php _e('To insert a session ID enclose the sort field or SUM calculator tags [session id="calc_id"]4[/session] or [session id="calc_id"]sum[/ session] where calc_id - the ID of the calculator that you want to get the result', 'wp-creator-calculator'); ?><br>
			<br><textarea name="calc_text"></textarea><br>
			<?php _e("Order:","wp-creator-calculator"); ?> <small>(<?php _e("sort order","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_sort" size="70"><br>
			CSS <small>(<?php _e("class in the field, an example: myclass","wp-creator-calculator"); ?> )</small> <br><input type="text" name="calc_css" size="70"><br>
			<input type="hidden" name="calc_type" value="text">
			<input type="submit" value="<?php _e("Run","wp-creator-calculator"); ?>" name="add">
		</form>
	</div>

	<div id="select" style="display:none;">
		<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id=<?php echo $calc_id; ?>" name="add">
			<h3><?php _e("Create drop-down list","wp-creator-calculator"); ?></h3>
			<?php _e("The field name","wp-creator-calculator"); ?> <small>(<?php _e("is displayed next to the form","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_title" size="70"><br>
			<?php _e("To the field:","wp-creator-calculator"); ?> <small>(<?php _e("action before the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_to" size="70"><br>
			<?php _e("After the field:","wp-creator-calculator"); ?> <small>(<?php _e("action after the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_after" size="70"><br>
			<?php _e("Order:","wp-creator-calculator"); ?> <small>(<?php _e("sort order","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_sort" size="70"><br>
			<?php _e("Of the list","wp-creator-calculator"); ?> <small>(<?php _e("[price]:name;[500]:Installation of windows;","wp-creator-calculator"); ?>)</small> <br><textarea name="calc_morefield" cols="39" rows="4"></textarea><br>
			CSS <small>(<?php _e("class in the field, an example: myclass","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_css" size="70"><br>
			<input type="hidden" name="calc_type" value="select">
			<input type="submit" value="<?php _e("Run","wp-creator-calculator"); ?>" name="add">
		</form>
	</div>

	<div id="checkbox" style="display:none;">
		<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id=<?php echo $calc_id; ?>" name="add">
			<h3><?php _e("Create a list of checkboxes","wp-creator-calculator"); ?></h3>
			<?php _e("The field name","wp-creator-calculator"); ?> <small>(<?php _e("is displayed next to the form","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_title" size="70"><br>
			<?php _e("To the field:","wp-creator-calculator"); ?> <small>(<?php _e("action before the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_to" size="70"><br>
			<?php _e("After the field:","wp-creator-calculator"); ?> <small>(<?php _e("action after the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_after" size="70"><br>
			<?php _e("Order:","wp-creator-calculator"); ?> <small>(<?php _e("sort order","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_sort" size="70"><br>
			<?php _e("Of the list","wp-creator-calculator"); ?> <small>(<?php _e("[price]:name;[500]:Installation of windows;","wp-creator-calculator"); ?>)</small> <br><textarea name="calc_morefield" cols="39" rows="4"></textarea><br>
			<?php _e("Action","wp-creator-calculator"); ?> <small>(<?php _e("between the selected checkboxes in this field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_valueinput" size="70"><br>			
			CSS <small>(<?php _e("class in the field, an example: myclass","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_css" size="70"><br>
			<input type="hidden" name="calc_type" value="checkbox">
			<input type="submit" value="<?php _e("Run","wp-creator-calculator"); ?>" name="add">
		</form>
	</div>

	<div id="radio" style="display:none;">
		<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id=<?php echo $calc_id; ?>" name="add">
			<h3><?php _e("Create a list of radio buttons","wp-creator-calculator"); ?></h3>
			<?php _e("The field name","wp-creator-calculator"); ?> <small>(<?php _e("is displayed next to the form","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_title" size="70"><br>
			<?php _e("To the field:","wp-creator-calculator"); ?> <small>(<?php _e("action before the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_to" size="70"><br>
			<?php _e("After the field:","wp-creator-calculator"); ?> <small>(<?php _e("action after the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_after" size="70"><br>
			<?php _e("Order:","wp-creator-calculator"); ?> <small>(<?php _e("sort order","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_sort" size="70"><br>
			<?php _e("Of the list","wp-creator-calculator"); ?> <small>(<?php _e("[price]:name;[500]:Installation of windows;","wp-creator-calculator"); ?>)</small> <br><textarea name="calc_morefield" cols="39" rows="4"></textarea><br>
			CSS <small>(<?php _e("class in the field, an example: myclass","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_css" size="70"><br>
			<input type="hidden" name="calc_type" value="radio">
			<input type="submit" value="<?php _e("Run","wp-creator-calculator"); ?>" name="add">
		</form>
	</div>

	<div id="inputtext" style="display:none;">
		<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id=<?php echo $calc_id; ?>" name="add">
			<h3><?php _e("Create a text field","wp-creator-calculator"); ?></h3>
			<?php _e("The field name","wp-creator-calculator"); ?> <small>(<?php _e("is displayed next to the form","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_title" size="70"><br>
			<?php _e("To the field:","wp-creator-calculator"); ?> <small>(<?php _e("action before the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_to" size="70"><br>
			<?php _e("After the field:","wp-creator-calculator"); ?> <small>(<?php _e("action after the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_after" size="70"><br>
			<?php _e("Order:","wp-creator-calculator"); ?> <small>(<?php _e("sort order","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_sort" size="70"><br>
			<?php _e("Price","wp-creator-calculator"); ?> <small>(<?php _e("Introduced with effect on the price","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_price" size="70"><br>
			<?php _e("Action","wp-creator-calculator"); ?> <small>(<?php _e("with the data entered","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_valueinput" size="70"><br>
			CSS <small>(<?php _e("class in the field, an example: myclass","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_css" size="70"><br>
			<input type="hidden" name="calc_type" value="inputtext">
			<input type="submit" value="<?php _e("Run","wp-creator-calculator"); ?>" name="add">
		</form>
	</div>

	<div id="hidden" style="display:none;">
		<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id=<?php echo $calc_id; ?>" name="add">
			<h3><?php _e("Creating an invisible field","wp-creator-calculator"); ?></h3>
			<?php _e("To the field:","wp-creator-calculator"); ?> <small>(<?php _e("action before the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_to" size="70"><br>
			<?php _e("After the field:","wp-creator-calculator"); ?> <small>(<?php _e("action after the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_after" size="70"><br>
			<?php _e("Order:","wp-creator-calculator"); ?> <small>(<?php _e("sort order","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_sort" size="70"><br>
			<?php _e("Price","wp-creator-calculator"); ?> <small>(<?php _e("price of the hidden field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_price" size="70"><br>
			<input type="hidden" name="calc_type" value="hidden">
			<input type="submit" value="<?php _e("Run","wp-creator-calculator"); ?>" name="add">
		</form>
	</div>

	<div id="session" style="display:none;">
		<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id=<?php echo $calc_id; ?>" name="add">
			<h3><?php _e("Creating an session field","wp-creator-calculator"); ?></h3>
			<?php _e("To the field:","wp-creator-calculator"); ?> <small>(<?php _e("action before the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_to" size="70"><br>
			<?php _e("After the field:","wp-creator-calculator"); ?> <small>(<?php _e("action after the field","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_after" size="70"><br>
			<?php _e("Order:","wp-creator-calculator"); ?> <small>(<?php _e("sort order","wp-creator-calculator"); ?>)</small> <br><input type="text" name="calc_sort" size="70"><br>
			<?php _e("ID of a calculator","wp-creator-calculator"); ?> <br><input type="text" name="calc_valueinput" size="70"><br>
			<?php _e("ID field or the sum calculator","wp-creator-calculator"); ?> <br><input type="text" name="calc_price" size="70"><br>
			<input type="hidden" name="calc_type" value="session">
			<input type="submit" value="<?php _e("Run","wp-creator-calculator"); ?>" name="add">
		</form>
	</div>

	<div id="design" style="display:none;">
			<h3><?php _e("Design calculator","wp-creator-calculator"); ?></h3><br>
			<?php if (get_option('calc_style')) {
			echo "<small>";
			echo __("In the setting of specified style:", "wp-creator-calculator")."<br>".get_option('calc_style');
			echo "</small><br><br>";
			} ?>
			<form method="post" action="options.php">
				<?php wp_nonce_field('update-options'); ?>
				<input type="radio" name="calc_style" id="designlist_none" value=""><label for='designlist_none'><?php _e("No Design","wp-creator-calculator"); ?></label><hr>
				<input type="radio" name="calc_style" id="designlist_default" value="<?php echo $wpcalculator;?>templates/default/style.css"><label for='designlist_default'><img src="<?php echo $wpcalculator;?>templates/default/default.jpg" class="wp_calculator_design"> Default</label><hr>
				<input type="hidden" name="action" value="update" />
				<input type="hidden" name="page_options" value="calc_style" />
				<input type="submit" name="update" value="<?php _e("Save","wp-creator-calculator"); ?>">
			</form>
	</div>

	<div id="custom" style="display:none;">
		<h3><?php _e("Options calculator","wp-creator-calculator"); ?></h3>
		<form method="post" action="options.php">
			<?php wp_nonce_field('update-options'); ?>
			<?php _e("Name of button:","wp-creator-calculator"); ?> <small>(<?php _e("Example: Calculate","wp-creator-calculator"); ?>)</small><br>
			<input type="text" name="calc_submit<?php echo $calc_id; ?>" size="50" value="<?php echo get_option('calc_submit'.$calc_id); ?>"><br>
			<?php _e("Text before sum of:","wp-creator-calculator"); ?> <small>(<?php _e("the text before the final sum","wp-creator-calculator"); ?>)</small><br>
			<input type="text" name="calc_finishsumm<?php echo $calc_id; ?>" size="50" value="<?php echo get_option('calc_finishsumm'.$calc_id); ?>"><br>
			<?php _e("The text after the final amount:","wp-creator-calculator"); ?> <small>(<?php _e("appears after the final amount","wp-creator-calculator"); ?>)</small><br>
			<input type="text" name="calc_finishsumm_after<?php echo $calc_id; ?>" size="50" value="<?php echo get_option('calc_finishsumm_after'.$calc_id); ?>"><br>
			POST ACTION: <small>(<?php _e("Action for the shape calculator with ID","wp-creator-calculator"); ?> <?php echo $calc_id; ?>)</small><br>
			<input type="text" name="calc_action<?php echo $calc_id; ?>" size="50" value="<?php echo get_option('calc_action'.$calc_id); ?>"><br>
			CSS: <small>(<?php _e("full web address to the CSS file","wp-creator-calculator"); ?>)</small><br>
			<input type="text" name="calc_style" size="50" value="<?php echo get_option('calc_style'); ?>"><br>
			<?php _e("Remove copyright:","wp-creator-calculator"); ?> <small>(<?php _e("I'm not a good man","wp-creator-calculator"); ?>)</small><br>
			<input type="checkbox" name="calc_copyright" <?php if(get_option('calc_copyright') == 'on') { echo "checked"; } ?>><br>
			<input type="hidden" name="action" value="update" />
			<input type="hidden" name="page_options" value="calc_action<?php echo $calc_id; ?>, calc_submit<?php echo $calc_id; ?>, calc_finishsumm<?php echo $calc_id; ?>, calc_finishsumm_after<?php echo $calc_id; ?>, calc_style, calc_copyright" />
			<input type="submit" name="update" value="<?php _e("Save","wp-creator-calculator"); ?>">
		</form>
	</div>

</div>

<br class="calc_clear">

<div class="calc_formula radius_calc">
<h3><a id="formula"><?php _e("Formula","wp-creator-calculator"); ?></a></h3>

<?php
// Проверка на дублиремые поля сортировки | Check for duplicate sort field
$res = $wpdb->get_results("SELECT calc_sort, COUNT(calc_sort) AS cnt FROM $dbcalculator WHERE (calc_id='$calc_id') GROUP BY calc_sort HAVING ( COUNT(calc_sort)>1 )");
if(count($res) != 0) {
echo "<div class='calc_error'><b>!".__("ATTENTION","wp-creator-calculator")."!</b> ".__("Do you have duplicated the sort order of fields! Do not allow duplicates!","wp-creator-calculator")."<br> <b>".__("Duplicate field:","wp-creator-calculator")."</b> <br>";
foreach ($res as $row) {
echo "<li>".$row->calc_sort."</li>";
}
echo "</div>";
}

$res = $wpdb->get_results("SELECT * FROM $dbcalculator WHERE (calc_id='$calc_id') ORDER BY `calc_sort`");

if (count($res) == 0){ 
	 _e("Formula is empty","wp-creator-calculator")."<br>"; 
}

foreach ($res as $row) {

	$row->calc_morefield = str_replace ('!calc!', '', $row->calc_morefield); // надо так... хренова но надо | should be so ... bad code, but it must be
	if ($row->calc_type  == "text") {
		echo '
		<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id='.$calc_id.'&id='.$row->id.'#formula">
			<div class="calc_list">
				<div class="calc_img">
					<img src="'.$wpcalculator.'images/textblock.jpg" title="'.__("Type - Text Block","wp-creator-calculator").'">
				</div>
				<input type="text" name="calc_sort" value="'.$row->calc_sort.'" class="calc_sort" title="'.__("The sort order","wp-creator-calculator").'">
				<textarea name="calc_text" class="calc_price" title="'.__("Contents","wp-creator-calculator").'">'.$row->calc_text.'</textarea>
				<input type="text" name="calc_css" value="'.$row->calc_css.'" class="calc_inputprice" title="CSS">	
				<input type="hidden" name="calc_type" value="text">
				<input type="submit" value="" class="calc_update" name="update" title="'.__("Update","wp-creator-calculator").'">
				<input type="submit" value="" class="calc_del" name="del" title="'.__("Remove","wp-creator-calculator").'">
			</div>
		</form>
		<br class="calc_clear">
		';	
	}	

	if ($row->calc_type == "select") {
		echo '
			<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id='.$calc_id.'&id='.$row->id.'#formula">
				<div class="calc_list">
					<div class="calc_img">
						<img src="'.$wpcalculator.'images/select.jpg" title="'.__("Type - A drop-down list","wp-creator-calculator").'">
					</div>
					<input type="text" name="calc_sort" value="'.$row->calc_sort.'" class="calc_sort" title="'.__("The sort order","wp-creator-calculator").'">
					<input type="text" name="calc_to" value="'.$row->calc_to.'" class="calc_to" title="'.__("Value to","wp-creator-calculator").'">
					<input type="text" name="calc_title" value="'.$row->calc_title.'" class="calc_value" title="'.__("The field name","wp-creator-calculator").'">
					<input type="text" name="calc_after" value="'.$row->calc_after.'" class="calc_af" title="'.__("Value after","wp-creator-calculator").'">
					<textarea name="calc_morefield" class="calc_price" title="'.__("[Price]:Name;","wp-creator-calculator").'">'.$row->calc_morefield.'</textarea>
					<input type="text" name="calc_css" value="'.$row->calc_css.'" class="calc_inputprice" title="CSS">
					<input type="hidden" name="calc_type" value="select">
					<input type="submit" value="" class="calc_update" name="update" title="'.__("Update","wp-creator-calculator").'">
					<input type="submit" value="" class="calc_del" name="del" title="'.__("Remove","wp-creator-calculator").'">
				</div>
			</form>
			<br class="calc_clear">
		';
	}

	if ($row->calc_type  == "checkbox") {
		echo '
			<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id='.$calc_id.'&id='.$row->id.'#formula">
				<div class="calc_list">
					<div class="calc_img">
						<img src="'.$wpcalculator.'images/checkbox.jpg" title="'.__("Type - Checkbox","wp-creator-calculator").'">
					</div>
					<input type="text" name="calc_sort" value="'.$row->calc_sort.'" class="calc_sort" title="'.__("The sort order","wp-creator-calculator").'">
					<input type="text" name="calc_to" value="'.$row->calc_to.'" class="calc_to" title="'.__("Value to","wp-creator-calculator").'">
					<input type="text" name="calc_title" value="'.$row->calc_title.'" class="calc_value" title="'.__("The field name","wp-creator-calculator").'">
					<input type="text" name="calc_after" value="'.$row->calc_after.'" class="calc_af" title="'.__("Value after","wp-creator-calculator").'">
					<textarea name="calc_morefield" class="calc_price" title="'.__("[Price]:Name;","wp-creator-calculator").'">'.$row->calc_morefield.'</textarea>
					<input type="text" name="calc_valueinput" value="'.$row->calc_valueinput.'" class="calc_af" title="'.__("Action with the data entered","wp-creator-calculator").'">
					<input type="text" name="calc_css" value="'.$row->calc_css.'" class="calc_inputprice" title="CSS">
					<input type="hidden" name="calc_type" value="checkbox">
					<input type="submit" value="" class="calc_update" name="update" title="'.__("Update","wp-creator-calculator").'">
					<input type="submit" value="" class="calc_del" name="del" title="'.__("Remove","wp-creator-calculator").'">
				</div>
			</form>
			<br class="calc_clear">
		';	
	}
	
	if ($row->calc_type  == "radio") {
		echo '
			<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id='.$calc_id.'&id='.$row->id.'#formula">
				<div class="calc_list">
					<div class="calc_img">
						<img src="'.$wpcalculator.'images/radio.jpg" title="'.__("Type - Radio Buttons","wp-creator-calculator").'">
					</div>
					<input type="text" name="calc_sort" value="'.$row->calc_sort.'" class="calc_sort" title="'.__("The sort order","wp-creator-calculator").'">
					<input type="text" name="calc_to" value="'.$row->calc_to.'" class="calc_to" title="'.__("Value to","wp-creator-calculator").'">
					<input type="text" name="calc_title" value="'.$row->calc_title.'" class="calc_value" title="'.__("The field name","wp-creator-calculator").'">
					<input type="text" name="calc_after" value="'.$row->calc_after.'" class="calc_af" title="'.__("Value after","wp-creator-calculator").'">
					<textarea name="calc_morefield" class="calc_price" title="'.__("[Price]:Name;","wp-creator-calculator").'">'.$row->calc_morefield.'</textarea>
					<input type="text" name="calc_css" value="'.$row->calc_css.'" class="calc_inputprice" title="CSS">
					<input type="hidden" name="calc_type" value="radio">
					<input type="submit" value="" class="calc_update" name="update" title="'.__("Update","wp-creator-calculator").'">
					<input type="submit" value="" class="calc_del" name="del" title="'.__("Remove","wp-creator-calculator").'">
				</div>
			</form>
			<br class="calc_clear">
		';	
	}
	
	if ($row->calc_type  == "inputtext") {
		echo '
			<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id='.$calc_id.'&id='.$row->id.'#formula">
				<div class="calc_list">
					<div class="calc_img">
						<img src="'.$wpcalculator.'images/text.jpg" title="'.__("Type - The text box","wp-creator-calculator").'">
					</div>
					<input type="text" name="calc_sort" value="'.$row->calc_sort.'" class="calc_sort" title="'.__("The sort order","wp-creator-calculator").'">
					<input type="text" name="calc_to" value="'.$row->calc_to.'" class="calc_to" title="'.__("Value to","wp-creator-calculator").'">
					<input type="text" name="calc_title" value="'.$row->calc_title.'" class="calc_value" title="'.__("The field name","wp-creator-calculator").'">
					<input type="text" name="calc_after" value="'.$row->calc_after.'" class="calc_af" title="'.__("Value after","wp-creator-calculator").'">
					<input type="text" name="calc_price" value="'.$row->calc_price.'" class="calc_inputprice" title="'.__("Price field","wp-creator-calculator").'">
					<input type="text" name="calc_valueinput" value="'.$row->calc_valueinput.'" class="calc_inputprice" title="'.__("Action with the data entered","wp-creator-calculator").'">
					<input type="text" name="calc_css" value="'.$row->calc_css.'" class="calc_inputprice" title="CSS">
					<input type="hidden" name="calc_type" value="inputtext">
					<input type="submit" value="" class="calc_update" name="update" title="'.__("Update","wp-creator-calculator").'">
					<input type="submit" value="" class="calc_del" name="del" title="'.__("Remove","wp-creator-calculator").'">
				</div>
			</form>
			<br class="calc_clear">
		';	
	}
	
	if ($row->calc_type  == "hidden") {
		echo '
			<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id='.$calc_id.'&id='.$row->id.'#formula">
				<div class="calc_list">
					<div class="calc_img">
						<img src="'.$wpcalculator.'images/hidden.jpg" title="'.__("Type - A hidden field","wp-creator-calculator").'">
					</div>
					<input type="text" name="calc_sort" value="'.$row->calc_sort.'" class="calc_sort" title="'.__("The sort order","wp-creator-calculator").'">
					<input type="text" name="calc_to" value="'.$row->calc_to.'" class="calc_to" title="'.__("Value to","wp-creator-calculator").'">
					<input type="text" name="calc_after" value="'.$row->calc_after.'" class="calc_af" title="'.__("Value after","wp-creator-calculator").'">
					<input type="text" name="calc_price" value="'.$row->calc_price.'" class="calc_inputprice" title="'.__("Price field","wp-creator-calculator").'">
					<input type="hidden" name="calc_type" value="hidden">
					<input type="submit" value="" class="calc_update" name="update" title="'.__("Update","wp-creator-calculator").'">
					<input type="submit" value="" class="calc_del" name="del" title="'.__("Remove","wp-creator-calculator").'">
				</div>
			</form>
			<br class="calc_clear">
		';	
	}
	
	if ($row->calc_type  == "session") {
	if ($row->calc_text == "calculator") { $sessioncheckedcalc = " checked"; }
	if ($row->calc_text == "field") { $sessioncheckedfield = " checked"; }
		echo '
			<form method="POST" action="admin.php?page=wp-creator-calculator.php&calc_id='.$calc_id.'&id='.$row->id.'#formula">
				<div class="calc_list">
					<div class="calc_img">
						<img src="'.$wpcalculator.'images/session.jpg" title="'.__("Type - Session","wp-creator-calculator").'">
					</div>
					<input type="text" name="calc_sort" value="'.$row->calc_sort.'" class="calc_sort" title="'.__("The sort order","wp-creator-calculator").'">
					<input type="text" name="calc_to" value="'.$row->calc_to.'" class="calc_to" title="'.__("Value to","wp-creator-calculator").'">
					<input type="text" name="calc_price" value="'.$row->calc_price.'" class="calc_inputprice" title="'.__("ID field or the SUM calculator","wp-creator-calculator").'">
					<input type="text" name="calc_after" value="'.$row->calc_after.'" class="calc_af" title="'.__("Value after","wp-creator-calculator").'">
					<input type="text" name="calc_valueinput" value="'.$row->calc_valueinput.'" class="calc_af" title="'.__("ID of a calculator","wp-creator-calculator").'">
					<input type="hidden" name="calc_type" value="session">
					<input type="submit" value="" class="calc_update" name="update" title="'.__("Update","wp-creator-calculator").'">
					<input type="submit" value="" class="calc_del" name="del" title="'.__("Remove","wp-creator-calculator").'">
				</div>
			</form>
			<br class="calc_clear">
		';
	$sessioncheckedcalc = ''; $sessioncheckedfield = '';
	}
}
?>

</div>

<br class="calc_clear">

<div class="calc_formula radius_calc">
<h3><?php _e("The formula in text form","wp-creator-calculator"); ?></h3>

<?php
$res = $wpdb->get_results("SELECT * FROM $dbcalculator WHERE calc_type IN ('select', 'checkbox', 'radio', 'inputtext', 'hidden', 'session') AND (calc_id='$calc_id') ORDER BY `calc_sort`");

if (count($res) == 0){ 
	_e("Formula is empty","wp-creator-calculator")."<br>"; 
} 
echo '<span style="font-size:18px; color:#999;"><br>';
foreach ($res as $row) {
	echo $row->calc_to . $row->calc_sort . $row->calc_after ;
}
echo '</span>';
?>
<br><br>
</div>

<hr>
<h3><a id="calculate"><?php _e("Preview calculator:","wp-creator-calculator"); ?></a></h3>
<br>
<div class="wp_calculator_result">
<?php
if (get_option('calc_style')) {
	echo '<link rel="stylesheet" href="'.get_option('calc_style').'" type="text/css" />'."\n";
}
echo do_shortcode('[wpcalculator idcalc="'.$calc_id.'" show_result="true"]');


?>
</div>
<br class="calc_clear">
<b><?php _e("The code for the template:","wp-creator-calculator"); ?></b> &lt;?php echo do_shortcode('[wpcalculator idcalc="<?php echo $calc_id; ?>"]'); ?&gt; <br>

<b><?php _e("Short code in the page's content:","wp-creator-calculator"); ?></b> [wpcalculator idcalc="<?php echo $calc_id; ?>"]
<br class="calc_clear">


		</th></tr></thead></table>	
	</div>    
<?php
}
}
?>